For the complete documentation index, see llms.txt. This page is also available as Markdown.

Auth

Retrieve an access token for programmatic access via OAuth2.0 Client Credentials Grant.

post

Token endpoint for OAuth2.0 Client Credentials Grant using your OAuth2.0 machine-to-machine client credentials for programmatic access to this API. See https://datatracker.ietf.org/doc/html/rfc6749#section-4.4

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
grant_typestringRequired

The OAuth2.0 Grant Type that shall be used for authorization. Supported values: 'client_credentials'

Example: client_credentials
client_idstringRequired

The client id of your OAuth2.0 machine-to-machine client

Example: ABCAAAAAAAAAAAAAAAAAAAAAAAAAA123
client_secretstringRequired

The client secret of your OAuth2.0 machine-to-machine client

Example: supersecret
Responses
application/json
access_tokenstringRequired

The JSON Web Token to be used for authentication and authorization with the API. See access_token at https://datatracker.ietf.org/doc/html/rfc6749#section-5.1

token_typestringRequiredExample: Bearer
expires_innumberRequiredExample: 86400
scopestringOptionalExample: create:example manage:users read:example
post/auth/machine-to-machine-clients/token
POST /auth/machine-to-machine-clients/token HTTP/1.1
Host: api.tradeaware.live-eo.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 112

{
  "grant_type": "client_credentials",
  "client_id": "ABCAAAAAAAAAAAAAAAAAAAAAAAAAA123",
  "client_secret": "supersecret"
}
{
  "access_token": "text",
  "token_type": "Bearer",
  "expires_in": 86400,
  "scope": "create:example manage:users read:example"
}

Last updated